lorom

!SFX = #$20
!SoundRegister = $012F	;Which sound register to use, $012D-012F
!CycleCode = $07F8D0

org $0288F9
	JSL MapCode

org $02A55A
	JSL MapCode

org !CycleCode
MapCode:
	JSR ButtonCode
	LDA $F6
	AND #$40
	RTL
ButtonCode:
	LDA $F6
	BIT #$10
	BEQ $03
	JMP RCode
	BIT #$20
	BEQ $03
	JMP LCode
	RTS

RCode:
	LDA $0202
	BEQ RReturn
	PHX
	TAX
RLoop:
	CPX #$0F
	BEQ RBottle1
	CPX #$10
	BEQ RBottle2
	CPX #$14
	BNE $02
	LDX #$00
	INX
RCheck:
	LDA $7EF33F,X
	BEQ RLoop
RStore:
	JMP Store
RBottle1:
	LDX #$01
	BRA RBottleCheck
RBottle2:
	LDA $7EF34F
	TAX
RBottleLoop:
	CPX #$04
	BEQ RBottleEnd
	INX
RBottleCheck:
	LDA $7EF35B,X
	BEQ RBottleLoop
	TXA
	STA $7EF34F
	LDX #$10
	BRA RStore
RBottleEnd:
	LDX #$11
	BRA RCheck
RReturn:
	RTS

LCode:
	LDA $0202
	BEQ LReturn
	PHX
	TAX
LLoop:
	CPX #$11
	BEQ LBottle1
	CPX #$10
	BEQ LBottle2
	CPX #$01
	BNE $02
	LDX #$15
	DEX
LCheck:
	LDA $7EF33F,X
	BEQ LLoop
LStore:
	JMP Store
LBottle1:
	LDX #$04
	BRA LBottleCheck
LBottle2:
	LDA $7EF34F
	TAX
LBottleLoop:
	CPX #$01
	BEQ LBottleEnd
	DEX
LBottleCheck:
	LDA $7EF35B,X
	BEQ LBottleLoop
	TXA
	STA $7EF34F
	LDX #$10
	BRA LStore
LBottleEnd:
	LDX #$0F
	BRA LCheck
LReturn:
	RTS

Store:
	LDA !SFX
	STA !SoundRegister
	STX $0202
	JSL $0DDB7F
	PLX
	RTS